Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.math3.stat.ranking
Enum NaNStrategy

    java.lang.Object
      java.lang.Enum<NaNStrategy>
          org.apache.commons.math3.stat.ranking.NaNStrategy

All Implemented Interfaces:
  Serializable, Comparable<NaNStrategy>

    public enum NaNStrategy

extends Enum<NaNStrategy>

Strategies for handling NaN values in rank transformations.

- MINIMAL - NaNs are treated as minimal in the ordering, equivalent to (that is, tied with) `Double.NEGATIVE_INFINITY`.
- MAXIMAL - NaNs are treated as maximal in the ordering, equivalent to `Double.POSITIVE_INFINITY`
- REMOVED - NaNs are removed before the rank transform is applied
- FIXED - NaNs are left "in place," that is the rank transformation is applied to the other elements in the input array, but the NaN elements are returned unchanged.
- FAILED - If any NaN is encountered in the input array, an appropriate exception is thrown

Since:
  2.0
Version:
  $Id: NaNStrategy.java 1422313 2012-12-15 18:53:41Z psteitz $

Enum Constant Summary
`FAILED` NaNs result in an exception
`FIXED` NaNs are left in place
`MAXIMAL` NaNs are considered maximal in the ordering
`MINIMAL` NaNs are considered minimal in the ordering
`REMOVED` NaNs are removed before computing ranks

Method Summary
`static NaNStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NaNStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MINIMAL

    public static final NaNStrategy MINIMAL

  NaNs are considered minimal in the ordering

### MAXIMAL

    public static final NaNStrategy MAXIMAL

  NaNs are considered maximal in the ordering

### REMOVED

    public static final NaNStrategy REMOVED

  NaNs are removed before computing ranks

### FIXED

    public static final NaNStrategy FIXED

  NaNs are left in place

### FAILED

    public static final NaNStrategy FAILED

  NaNs result in an exception

  Since:
    3.1

Method Detail

### values

    public static NaNStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NaNStrategy c : NaNStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NaNStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.